<div fxLayout="column">
    <form [formGroup]="productForm" fxLayout="column" fxLayoutGap="5px">
    <mat-form-field appearance="legacy">
        <mat-label>  <mat-icon>title</mat-icon> Nombre</mat-label>
        <input matInput placeholder="Nombre" formControlName="name">
        <mat-error *ngIf="name.hasError('required')">
            {{required}}
        </mat-error>
      </mat-form-field>

      <mat-form-field appearance="legacy">
        <mat-label>Descripción</mat-label>
        <textarea matInput placeholder="Descripción" formControlName="description"></textarea>
            <mat-error *ngIf="description.hasError('required')">
                {{required}}
            </mat-error>
    </mat-form-field>

      <mat-form-field appearance="legacy">
        
        <mat-label> <mat-icon >attach_money</mat-icon> Precio</mat-label>
        <input matInput type="number" placeholder="5" formControlName="price">
        <mat-error *ngIf="price.hasError('required')">
            {{required}}
        </mat-error>
        <mat-error *ngIf="!price.hasError('required') && price.hasError('underZero')">
            {{valueUnderZero}}
        </mat-error>
      </mat-form-field>

      <mat-form-field appearance="legacy">
        <mat-label> <mat-icon>tag</mat-icon> Cantidad</mat-label>
        <input matInput type="number" placeholder="5" formControlName="quantity">
        <mat-error *ngIf="quantity.hasError('required')">
            {{required}}
        </mat-error>
        <mat-error *ngIf="!quantity.hasError('required') && quantity.hasError('underZero')">
            {{valueUnderZero}}
        </mat-error>
        <mat-error *ngIf="!quantity.hasError('required') && quantity.hasError('zeroQuant')">
            lol
        </mat-error>
      </mat-form-field>
    </form>
    <div fxLayout="row"  fxLayoutGap="5px" fxLayoutAlign="end center">
        <button mat-flat-button color="primary" (click)="this.save()" [disabled]="!this.productForm.valid">Aceptar</button>
        <button mat-flat-button color="warn" (click)="this.close()">Cancelar</button>
    </div>
</div>